Imagick::getImageChannelDepth
Imagick::getImageChannelExtrema
The Imagick class
PHP Manual

# Imagick::getImageChannelDistortion

(No version information available, might be only in CVS)

Imagick::getImageChannelDistortion — Compares image channels of an image to a reconstructed image

### Description

float Imagick::getImageChannelDistortion ( Imagick `$reference` , int `$channel` , int `$metric` )
Warning

This function is currently not documented; only its argument list is available.

Compares one or more image channels of an image to a reconstructed image and returns the specified distortion metric.

### Parameters

`reference`

  Imagick object to compare to.

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Defaults to Imagick::CHANNEL_ALL. Refer to this list of channel constants.

`metric`

  One of the metric type constants.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::getImageChannelDepth
Imagick::getImageChannelExtrema
The Imagick class
PHP Manual